Page MenuHomePhabricator

Disable automated promotion of user status in eowiki
Closed, ResolvedPublic

Description

In Wikipedia in Esperanto (eowiki), the next user status after autoconfirmed user is "autoreview", and the next after it is "editor". The "autoreview" status is granted manually by sysops. The "editor" status is granted in two ways: manually by sysops and automatically.

I proposed to disable automated promotion of user status. The discussion was participated, calculating me, by 15 users (in this number 11 of the 18 currently existing sysops), and 10 users (in this number 8 sysops) supported, 2 sysops opposed and 3 users (in this number 1 sysop) just commented.

It was also proposed by few participators of the discussion, to have a list of users who would receive "editor" status automatically if the automatic user promotion would not be disabled (sysops would use that list to grant a status manually to some users). I said that it would be better if that list would be visible to sysops only. Nobody opposed this additional idea.

So, please disable automatic grant of "editor" status. If possible, please provide a special page with list of candidates for a status; if possible, please make that page visible for sysops only.

Details

Related Gerrit Patches:
operations/mediawiki-config : masterRemove FlaggedRevs autopromotion function at eowiki

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 13 2016, 12:30 AM
Restricted Application added subscribers: JEumerus, Matanya. · View Herald TranscriptNov 13 2016, 7:58 AM

What is the expected benefit of making such a page sysops only?

What is the expected benefit of making such a page sysops only?

Decisions about candidates can be positive or negative. If an automated algorithm added an user, who is good faith but inexperienced, to such a list, a negative decision can discourage an user from editing. But if the list will be hidden from non-sysops, the user will not know about negative decision.

MediaWiki doesn't have the ability to have private discussion pages like that, and likely isn't ever going to.

MediaWiki doesn't have the ability to have private discussion pages like that, and likely isn't ever going to.

I speak not about discussion pages, but about restricted special pages like "Unwatched pages", "Deleted user contributions", etc. If such a page would exist, it would be just a read-only source of information for sysops, not a place where discussions and decisions are written.

Well, in that case we'd still be inventing a new feature and a new type of semi-private data. And it'd probably be pretty easy to build a tool to list users who would usually have been promoted but have not been.

Well, in that case we'd still be inventing a new feature and a new type of semi-private data. And it'd probably be pretty easy to build a tool to list users who would usually have been promoted but have not been.

But such a list is an additional feature. The main request is to disable automatic promotion of user statuses.

Gamliel_Fishkin renamed this task from Disable automated promote of user status in eowiki to Disable automated promotion of user status in eowiki.Nov 16 2016, 4:17 AM
$wgFlaggedRevsAutopromote = $wmfStandardAutoPromote;

for eowiki, but

$wmfStandardAutoPromote = $wgFlaggedRevsAutopromote; // flaggedrevs defaults
$wgFlaggedRevsAutopromote = false;

Maybe removing $wgFlaggedRevsAutopromote = $wmfStandardAutoPromote; for eowiki would solve this?

Change 322262 had a related patch set (by MarcoAurelio) published:
Remove FlaggedRevs autopromotion function at eowiki

https://gerrit.wikimedia.org/r/322262

Hopefully @aaron could let us know if just removing $wgFlaggedRevsAutopromote = $wmfStandardAutoPromote; is enough or $wgFlaggedRevsAutopromote = false; is better. I changed my mind in the patch above and set it to false, but in PS2 I simply removed the variable.

MarcoAurelio triaged this task as Low priority.Nov 18 2016, 2:32 PM
MarcoAurelio moved this task from Backlog to Working on on the Wikimedia-Site-requests board.

Change 322262 merged by jenkins-bot:
Remove FlaggedRevs autopromotion function at eowiki

https://gerrit.wikimedia.org/r/322262

Mentioned in SAL (#wikimedia-operations) [2016-11-29T19:15:25Z] <thcipriani@tin> Synchronized wmf-config/flaggedrevs.php: SWAT: [[gerrit:322262|Remove FlaggedRevs autopromotion function at eowiki]] T150591 (duration: 01m 37s)

MarcoAurelio closed this task as Resolved.Nov 29 2016, 7:17 PM
MarcoAurelio claimed this task.
MarcoAurelio moved this task from To deploy to Done on the Wikimedia-Site-requests board.

Done. It should not continue to autopromote users but if you encounter any issues please reopen this task. Thank you.